Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162134 - comparisons like X<=Y<=Z do not have their mathematical meaning
Summary: comparisons like X<=Y<=Z do not have their mathematical meaning
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: amanda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 09:39 UTC by David Binderman
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-18 16:05:53 UTC


Attachments (Terms of Use)

Description David Binderman 2005-06-30 09:39:30 UTC
Description of problem:

I just tried to compile package amanda-2.4.5-2 from Redhat
Fedora Core development tree with the gcc 4.0.0 compiler and the
compiler flag -Wall.

The compiler said

sl.c:110: warning: comparisons like X<=Y<=Z do not have their mathematical meaning

The source code is

    for(b=sl->first; b != NULL < 0; b=b->next) {

The problem appears tobe the section between the ; ; 

Did the programmer intend

    for(b=sl->first; b != NULL; b=b->next) {


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.